List the executions of a settlement rule
curl --request GET \
--url https://api.lightspark.com/grid/2025-10-13/settlement-rules/{settlementRuleId}/executions \
--header 'Authorization: Basic <encoded-value>'const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.lightspark.com/grid/2025-10-13/settlement-rules/{settlementRuleId}/executions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));val client = OkHttpClient()
val request = Request.Builder()
.url("https://api.lightspark.com/grid/2025-10-13/settlement-rules/{settlementRuleId}/executions")
.get()
.addHeader("Authorization", "Basic <encoded-value>")
.build()
val response = client.newCall(request).execute(){
"data": [
{
"id": "SettlementRuleExecution:019542f5-b3e7-1d02-0000-000000000003",
"settlementRuleId": "SettlementRule:019542f5-b3e7-1d02-0000-000000000001",
"status": "HELD",
"incomingTransactionId": "Transaction:019542f5-b3e7-1d02-0000-000000000004",
"creditedAccountId": "InternalAccount:e85dcbd6-dced-4ec4-b756-3c3a9ea3d965",
"incomingAmount": {
"amount": 12550,
"currency": {
"code": "USD",
"name": "United States Dollar",
"symbol": "$",
"decimals": 2
}
},
"incomingCompletedAt": "2026-11-06T18:00:00Z",
"firesAt": "2026-11-06T18:00:00Z",
"createdAt": "2026-11-06T18:00:00Z",
"updatedAt": "2026-11-06T18:00:02Z",
"skipReason": "RULE_PAUSED",
"splitAmount": {
"amount": 12550,
"currency": {
"code": "USD",
"name": "United States Dollar",
"symbol": "$",
"decimals": 2
}
},
"payoutRunId": "PayoutRun:019542f5-b3e7-1d02-0000-000000000005",
"firstPaymentSentSeconds": 1.8,
"lastPaymentSentSeconds": 2.6
}
],
"hasMore": true,
"nextCursor": "<string>",
"totalCount": 123
}{
"code": "INVALID_INPUT",
"reason": "<string>",
"details": {
"errors": [
{
"field": "identifier",
"constraint": {
"format": "email",
"pattern": "^\\d{5}(-\\d{4})?$",
"enum": [
"SSN",
"ITIN",
"NON_US_TAX_ID"
],
"minLength": 1,
"maxLength": 500
},
"message": "Value is not one of the allowed enum members."
}
],
"missingRequirements": [
"SUPPORTING_PROOF"
],
"refusalReason": "AGENT_POLICY_DENIED",
"missingFields": [
"PHONE_NUMBER"
]
}
}{
"code": "UNAUTHORIZED",
"reason": "<string>",
"details": {}
}{
"code": "FORBIDDEN",
"reason": "<string>",
"details": {
"refusalReason": "AGENT_POLICY_DENIED",
"permission": "ISSUE_CARDS",
"policyDenialReason": "DAILY_LIMIT_EXCEEDED"
}
}{
"code": "TRANSACTION_NOT_FOUND",
"reason": "<string>",
"details": {}
}{
"code": "GRID_SWITCH_ERROR",
"reason": "<string>",
"details": {}
}Settlement Rules
List the executions of a settlement rule
The payments the rule fired on, newest first, each with what it became, the payout run that paid it and how long the payments took.
GET
/
settlement-rules
/
{settlementRuleId}
/
executions
List the executions of a settlement rule
curl --request GET \
--url https://api.lightspark.com/grid/2025-10-13/settlement-rules/{settlementRuleId}/executions \
--header 'Authorization: Basic <encoded-value>'const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.lightspark.com/grid/2025-10-13/settlement-rules/{settlementRuleId}/executions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));val client = OkHttpClient()
val request = Request.Builder()
.url("https://api.lightspark.com/grid/2025-10-13/settlement-rules/{settlementRuleId}/executions")
.get()
.addHeader("Authorization", "Basic <encoded-value>")
.build()
val response = client.newCall(request).execute(){
"data": [
{
"id": "SettlementRuleExecution:019542f5-b3e7-1d02-0000-000000000003",
"settlementRuleId": "SettlementRule:019542f5-b3e7-1d02-0000-000000000001",
"status": "HELD",
"incomingTransactionId": "Transaction:019542f5-b3e7-1d02-0000-000000000004",
"creditedAccountId": "InternalAccount:e85dcbd6-dced-4ec4-b756-3c3a9ea3d965",
"incomingAmount": {
"amount": 12550,
"currency": {
"code": "USD",
"name": "United States Dollar",
"symbol": "$",
"decimals": 2
}
},
"incomingCompletedAt": "2026-11-06T18:00:00Z",
"firesAt": "2026-11-06T18:00:00Z",
"createdAt": "2026-11-06T18:00:00Z",
"updatedAt": "2026-11-06T18:00:02Z",
"skipReason": "RULE_PAUSED",
"splitAmount": {
"amount": 12550,
"currency": {
"code": "USD",
"name": "United States Dollar",
"symbol": "$",
"decimals": 2
}
},
"payoutRunId": "PayoutRun:019542f5-b3e7-1d02-0000-000000000005",
"firstPaymentSentSeconds": 1.8,
"lastPaymentSentSeconds": 2.6
}
],
"hasMore": true,
"nextCursor": "<string>",
"totalCount": 123
}{
"code": "INVALID_INPUT",
"reason": "<string>",
"details": {
"errors": [
{
"field": "identifier",
"constraint": {
"format": "email",
"pattern": "^\\d{5}(-\\d{4})?$",
"enum": [
"SSN",
"ITIN",
"NON_US_TAX_ID"
],
"minLength": 1,
"maxLength": 500
},
"message": "Value is not one of the allowed enum members."
}
],
"missingRequirements": [
"SUPPORTING_PROOF"
],
"refusalReason": "AGENT_POLICY_DENIED",
"missingFields": [
"PHONE_NUMBER"
]
}
}{
"code": "UNAUTHORIZED",
"reason": "<string>",
"details": {}
}{
"code": "FORBIDDEN",
"reason": "<string>",
"details": {
"refusalReason": "AGENT_POLICY_DENIED",
"permission": "ISSUE_CARDS",
"policyDenialReason": "DAILY_LIMIT_EXCEEDED"
}
}{
"code": "TRANSACTION_NOT_FOUND",
"reason": "<string>",
"details": {}
}{
"code": "GRID_SWITCH_ERROR",
"reason": "<string>",
"details": {}
}Authorizations
API token authentication using format <api token id>:<api client secret>
Path Parameters
System-generated unique settlement rule identifier
Query Parameters
Maximum number of results to return (default 100, max 200)
Required range:
1 <= x <= 200Cursor for pagination (returned from previous request)
Was this page helpful?